Bug 1389259 (CVE-2016-9084) - CVE-2016-9084 kernel: Integer overflow when using kzalloc in vfio driver
Summary: CVE-2016-9084 kernel: Integer overflow when using kzalloc in vfio driver
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-9084
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20161012,repor...
Depends On: 1389285 1394991 1394992 1394994 1394995 1394997 1394998
Blocks: 1389281
TreeView+ depends on / blocked
 
Reported: 2016-10-27 09:58 UTC by Adam Mariš
Modified: 2019-06-11 11:13 UTC (History)
33 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
The use of a kzalloc with an integer multiplication allowed an integer overflow condition to be reached in vfio_pci_intrs.c. This combined with CVE-2016-9083 may allow an attacker to craft an attack and use unallocated memory, potentially crashing the machine.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:01:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0386 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2017-03-02 22:06:10 UTC
Red Hat Product Errata RHSA-2017:0387 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2017-03-02 22:06:22 UTC

Description Adam Mariš 2016-10-27 09:58:03 UTC
The use of a kzalloc with an integer multiplication allowed an integer overflow condition to be reached in vfio_pci_intrs.c. This combined with CVE-2016-9083 may allow an attacker to craft an attack and use unallocated memory, potentially crashing the machine.   This issue is related to CVE-2016-9083 (bugzilla.redhat.com/CVE-2016-9083 )

Proposed patch:

https://patchwork.kernel.org/patch/9373631/

CVE assignment:

http://seclists.org/oss-sec/2016/q4/251

Comment 1 Adam Mariš 2016-10-27 11:26:30 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1389285]

Comment 2 Wade Mealing 2016-11-14 08:03:27 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7. This has been rated as having Moderate security impact and is  currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 9 errata-xmlrpc 2017-03-02 17:14:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0386 https://rhn.redhat.com/errata/RHSA-2017-0386.html

Comment 10 errata-xmlrpc 2017-03-02 17:23:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0387 https://rhn.redhat.com/errata/RHSA-2017-0387.html


Note You need to log in before you can comment on or make changes to this bug.